> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/wallet-server-transit-api-for-huawei/ja/api-rifarensu/tshte/kdo-api.md).

# カード通知 API

[WS-Transit-API-IN-transit-notif-oas2.yaml](https://openapi.gitbook.com/o/fwy1mtbRONGA2YDKDBr0/spec/WS-Transit-API-IN-transit-notif-oas2.yaml)

## Request to fetch messages for a specific virtual card

> This method is used by Wallet Server to fetch messages for a specific virtual card.

```json
{"openapi":"3.1.1","info":{"title":"Thales TSH Transit Notification API - WS to TSH","version":"1.0.8"},"paths":{"/getMessages":{"post":{"summary":"Request to fetch messages for a specific virtual card","description":"This method is used by Wallet Server to fetch messages for a specific virtual card.","operationId":"getMessages","parameters":[{"$ref":"#/components/parameters/podHeader"}],"responses":{"200":{"description":"getMessages response payload","content":{"application/json":{"schema":{"$ref":"#/components/schemas/getMessagesRes"}}}},"500":{"description":"Internal Server Error"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/getMessagesReq"}}},"description":"getMessages request payload","required":true}}}},"components":{"parameters":{"podHeader":{"schema":{"type":"string","maxLength":128},"name":"x-pod","in":"header","description":"HTTP header identifying the pod and corresponding DNS hostname of the load balancer from which traffic is coming.</br> Subsequent API calls should be sent to this pod.","required":true}},"schemas":{"getMessagesRes":{"type":"object","properties":{"responseHeader":{"$ref":"#/components/schemas/responseHeader"},"lastUpdatedTimestamp":{"$ref":"#/components/schemas/lastUpdatedTimestamp"},"messages":{"type":"array","description":"Array of message for the supplied walletCardId using lastUpdatedTimestamp for filtering","items":{"type":"object","properties":{"identifier":{"type":"string","description":"unique identifier of the message","maxLength":64},"messageDate":{"type":"string","description":"Date when the message was generated.</br> Its format is as specified in RFC 3339","format":"date-time"},"expirationDate":{"type":"string","description":"Date when the message is no longer valid and should be removed.</br> Its format is as specified in RFC 3339","format":"date-time"},"content":{"type":"string","description":"Plain text message to be displayed to the end user","maxLength":128},"allowDeepLink":{"type":"boolean","description":"Flag indicating if the message should \"deep link\" to the issuer's app"}},"required":["identifier","messageDate","expirationDate","content"]}}},"required":["responseHeader"]},"responseHeader":{"type":"object","properties":{"responseId":{"$ref":"#/components/schemas/responseId"},"sessionId":{"$ref":"#/components/schemas/sessionId"},"generationDateTime":{"$ref":"#/components/schemas/generationDateTime"},"statusCode":{"type":"number","description":"Status code to the request\n|Status code | Description|\n|-------|-------|\n|0|OK|      \n|111|Missing mandatory parameter|\n|112|Bad parameter format|          \n|119|Unknown virtual card|                    \n|911|Operation failed|          \n|921|Unexpected server error|\n"},"statusMessage":{"type":"string","description":"Textual status message"}},"required":["responseId","sessionId","statusCode"]},"responseId":{"type":"string","description":"Unique response identifier","minLength":1,"maxLength":48},"sessionId":{"type":"string","description":"Unique session identifier used to trace the calls across systems during a use case.","minLength":1,"maxLength":48},"generationDateTime":{"type":"string","description":"Date time representing when the request or response has been generated.<br/>RFC3339 format. <br/>Example:\n - 2018-12-24T17:32:28Z","format":"date-time"},"lastUpdatedTimestamp":{"type":"string","description":"Timestamp used for filtering messages.</br> Messages already provided to wallet server before this timestamp will not be returned.</br> Its format is as specified in RFC 3339","format":"date-time"},"getMessagesReq":{"type":"object","properties":{"requestHeader":{"$ref":"#/components/schemas/requestHeader"},"walletCardId":{"$ref":"#/components/schemas/walletCardId"},"lastUpdatedTimestamp":{"$ref":"#/components/schemas/lastUpdatedTimestamp"}},"required":["requestHeader","walletCardId"]},"requestHeader":{"type":"object","properties":{"requestId":{"$ref":"#/components/schemas/requestId"},"sessionId":{"$ref":"#/components/schemas/sessionId"},"generationDateTime":{"$ref":"#/components/schemas/generationDateTime"}},"required":["requestId","sessionId"]},"requestId":{"type":"string","description":"Unique request identifier","minLength":1,"maxLength":48},"walletCardId":{"type":"string","description":"The Wallet Card Identifier. Unique for each wallet card.","minLength":1,"maxLength":64}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/wallet-server-transit-api-for-huawei/ja/api-rifarensu/tshte/kdo-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
